# modules/md5/md5.h File Reference

`#include <mios32.h>`
`#include <stdint.h>`

## Data Structures
struct | md5_ctx
## Defines
#define | _MD5_H 1
#define | MD5_DIGEST_SIZE 16
#define | MD5_BLOCK_SIZE 64
#define | __GNUC_PREREQ(maj, min) 0
#define | __THROW
#define | __md5_buffer md5_buffer
#define | __md5_finish_ctx md5_finish_ctx
#define | __md5_init_ctx md5_init_ctx
#define | __md5_process_block md5_process_block
#define | __md5_process_bytes md5_process_bytes
#define | __md5_read_ctx md5_read_ctx
#define | __md5_stream md5_stream
## Functions
void | __md5_init_ctx (struct md5_ctx *ctx) __THROW
void | __md5_process_block (const void *buffer, size_t len, struct md5_ctx *ctx) __THROW
void | __md5_process_bytes (const void *buffer, size_t len, struct md5_ctx *ctx) __THROW
void * | __md5_finish_ctx (struct md5_ctx *ctx, void *resbuf) __THROW
void * | __md5_read_ctx (const struct md5_ctx *ctx, void *resbuf) __THROW
void * | __md5_buffer (const char *buffer, size_t len, void *resblock) __THROW
| * Compute MD5 message digest for bytes read from STREAM. The

## Define Documentation

#define __GNUC_PREREQ | ( | maj,
|  | min |  | ) | 0

#define __md5_buffer md5_buffer

#define __md5_finish_ctx md5_finish_ctx

#define __md5_init_ctx md5_init_ctx

#define __md5_process_block md5_process_block

#define __md5_process_bytes md5_process_bytes

#define __md5_read_ctx md5_read_ctx

#define __md5_stream md5_stream

#define __THROW

#define _MD5_H 1

#define MD5_BLOCK_SIZE 64

#define MD5_DIGEST_SIZE 16

## Function Documentation

void* __md5_buffer | ( | const char * | buffer,
|  | size_t | len,
|  | void * | resblock |
| ) |  |  |

* Compute MD5 message digest for bytes read from STREAM. The

void* __md5_finish_ctx | ( | struct md5_ctx * | ctx,
|  | void * | resbuf |
| ) |  |  |

void __md5_init_ctx | ( | struct md5_ctx * | ctx | ) |

void __md5_process_block | ( | const void * | buffer,
|  | size_t | len,
|  | struct md5_ctx * | ctx |
| ) |  |  |

void __md5_process_bytes | ( | const void * | buffer,
|  | size_t | len,
|  | struct md5_ctx * | ctx |
| ) |  |  |

void* __md5_read_ctx | ( | const struct md5_ctx * | ctx,
|  | void * | resbuf |
| ) |  |  |